package datacenter

import (
	"GtDataStore/app/cmd/api/internal/logic/datacenter"
	"GtDataStore/app/cmd/api/internal/svc"
	"GtDataStore/app/cmd/api/internal/types"
	"GtDataStore/common/result"
	"github.com/zeromicro/go-zero/rest/httpx"
	"net/http"
)

func WorkingPumpHandler(svcCtx *svc.ServiceContext) http.HandlerFunc {
	return func(w http.ResponseWriter, r *http.Request) {
		var req types.DcWorkingReq
		if err := httpx.Parse(r, &req); err != nil {
			httpx.Error(w, err)
			return
		}

		l := datacenter.NewWorkingPumpLogic(r.Context(), svcCtx)
		resp, err := l.WorkingPump(&req)
		result.HttpResult(r, w, resp, err)
	}
}
