package logic

import (
	"GtDataStore/app/model"
	"context"
	"github.com/jinzhu/copier"

	"GtDataStore/app/cmd/organization/internal/svc"
	"GtDataStore/app/cmd/organization/pb"

	"github.com/zeromicro/go-zero/core/logx"
)

type GetWorkingValueByCodeLogic struct {
	ctx    context.Context
	svcCtx *svc.ServiceContext
	logx.Logger
}

func NewGetWorkingValueByCodeLogic(ctx context.Context, svcCtx *svc.ServiceContext) *GetWorkingValueByCodeLogic {
	return &GetWorkingValueByCodeLogic{
		ctx:    ctx,
		svcCtx: svcCtx,
		Logger: logx.WithContext(ctx),
	}
}

func (l *GetWorkingValueByCodeLogic) GetWorkingValueByCode(in *pb.DcWorkingReq) (*pb.WorkingValve, error) {
	//基础条件
	workingValveInfo, err := l.svcCtx.WorkingValve.FindOneByCode(l.ctx, in.ProjectId, in.DeviceCode)
	if err != nil && err != model.ErrNotFound {
		logx.Errorf("not found workingUf data")
		return nil, err
	}

	resp := &pb.WorkingValve{}
	_ = copier.Copy(resp, workingValveInfo)
	resp.CTime = workingValveInfo.CTime.Format("2006-01-02 15:04:05")

	return resp, nil
}
